## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate libbpf-rs

Name:           rust-libbpf-rs0.22
Version:        0.22.1
Release:        %autorelease
Summary:        Safe, idiomatic, and opinionated wrapper around libbpf-sys

License:        LGPL-2.1-only OR BSD-2-Clause
URL:            https://crates.io/crates/libbpf-rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump probe dependency to 0.5
Patch:          libbpf-rs-fix-metadata.diff
# Remove unneeded IntoError trait methods 
# https://github.com/libbpf/libbpf-rs/commit/2c3dae6e77726122ee2bbba8340beae74b823287
Patch:          libbpf-rs-rm-unneeded-IntoError-trait-methods.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Libbpf-rs is a safe, idiomatic, and opinionated wrapper around libbpf-
sys.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE.BSD-2-Clause
%license %{crate_instdir}/LICENSE.LGPL-2.1
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+novendor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+novendor-devel %{_description}

This package contains library source intended for building other packages which
use the "novendor" feature of the "%{crate}" crate.

%files       -n %{name}+novendor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages which
use the "static" feature of the "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# most of these tests fail, RLIMIT_MEMLOCK does not work in mock
rm tests/test.rs
rm tests/test_tc.rs
rm tests/test_xdp.rs
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed May 22 2024 Michel Lind <salimma@fedoraproject.org> - 0.22.1-1
- Initial package (rhbz#2282251)
## END: Generated by rpmautospec
